Subject: mycology catalog

From: [email-masked] (Koeltz Scientific Books)
Date: 1 Mar 1995 13:01:24 GMT

our mycology books catalog is available for downloading at
the following direct dial bbs number 217-355-4532
mode ansi, protocol zmodem, 20 seconds before  please wait is seen
-- 
******************** Koeltz Scientific Books USA ************************ 
* www.prairienet.org/~xx143/homepage.htm or email: [email-masked]  *
*   Fax:217-355-9413; Phone:217-355-9331; BBS(Direct Dial)217-355-4532  *
*************************************************************************